%define major 0
%define libname %mklibname %{name} %major
%define develname %mklibname %{name} -d

Name:		cjose
Version:	0.4.1
Release:	%mkrel 3
Summary:	C library implementing the Javascript Object Signing and Encryption (JOSE)
Source:		https://github.com/cisco/%{name}/archive/%{version}.tar.gz
Group:		System/Libraries
License:	MIT
BuildRequires:	pkgconfig(check) >= 0.9.2
BuildRequires:	pkgconfig(jansson) >= 2.3
BuildRequires:	pkgconfig(openssl) >= 1.0.1h
BuildRequires:	doxygen >= 1.8

%description
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

%package -n %{libname}
Summary:	C library implementing the Javascript Object Signing and Encryption (JOSE)
Group:		System/Libraries

%description -n %{libname}
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

%package -n %{develname}
Summary:	Development files for cjose
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
cjose is a C library implementing the Javascript Object Signing
and Encryption (JOSE).

This package contains development files for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static
%make_build

%check
# testsuite fails on arm
%ifnarch %{arm}
%make_build check
%endif

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/doc/%{name}


%changelog
* Fri Sep 23 2016 daviddavid <daviddavid> 0.4.1-3.mga6
+ Revision: 1055504
- disable testsuite on ARM for now
- disable static libraries

* Thu Sep 22 2016 neoclust <neoclust> 0.4.1-2.mga6
+ Revision: 1055201
- Rebuild for arm

* Wed Sep 14 2016 mitya <mitya> 0.4.1-1.mga6
+ Revision: 1052565
- cjose 0.4.1
- Created package structure for cjose.

